%global debug_package %{nil}

Name:           ripgrep-all
Version:        0.9.6
Release:        2%{?dist}
Summary:        ripgrep, but also search in PDFs, E-Books, Office documents, zip, tar.gz, etc.

Packager:       Jaden Pleasants <jadenpleasants@fastmail.com>

License:        AGPLv3+
URL:            https://github.com/phiresky/ripgrep-all
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo >= 1.36.0
BuildRequires:  rust >= 1.36.0
Requires:       ripgrep
Recommends:     ffmpeg
Recommends:     pandoc
Recommends:     GraphicsMagick
Recommends:     poppler-utils
Recommends:     tesseract


%description
rga is a line-oriented search tool that allows you to look for a regex in a
multitude of file types. rga wraps the awesome ripgrep and enables it to search
in pdf, docx, sqlite, jpg, movie subtitles (mkv, mp4), etc.


%prep
%autosetup -n %{name}-%{version}


%build
cargo build --release


%install
install -Dp -m 0755 target/release/rga %{buildroot}%{_bindir}/rga
install -Dp -m 0755 target/release/rga-preproc %{buildroot}%{_bindir}/rga-preproc


%files
%license LICENSE.md
%doc README.md CHANGELOG.md doc
%{_bindir}/*


%changelog
* Tue Oct 27 2020 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.9.6-2
- fedora 33 rebuild ok bye

* Mon Aug 31 2020 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.9.6-1
- Updated to 0.9.6

* Tue Apr 21 2020 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.9.5-1
- Allow search in pdf files without extension
- Prefer shipped binaries to system-installed ones
- Upgrade dependencies

* Wed Mar 11 2020 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.9.3-1
- Initial package
